Bug 596872 - SELinux is preventing /usr/sbin/hddtemp "read" access on /etc/gai.conf.
SELinux is preventing /usr/sbin/hddtemp "read" access on /etc/gai.conf.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:ea21a4fd77b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 12:59 EDT by mach
Modified: 2010-08-15 06:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-23.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 15:28:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mach 2010-05-27 12:59:24 EDT
Summary:

SELinux is preventing /usr/sbin/hddtemp "read" access on /etc/gai.conf.

Detailed Description:

SELinux denied access requested by hddtemp. It is not expected that this access
is required by hddtemp and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:hddtemp_t:s0
Target Context                system_u:object_r:etc_t:s0
Target Objects                /etc/gai.conf [ file ]
Source                        hddtemp
Source Path                   /usr/sbin/hddtemp
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           hddtemp-0.3-0.20.beta15.fc13
Target RPM Packages           glibc-common-2.12-1
Policy RPM                    selinux-policy-3.7.19-15.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.4-95.fc13.i686 #1
                              SMP Thu May 13 05:55:24 UTC 2010 i686 i686
Alert Count                   1
First Seen                    Thu 27 May 2010 05:21:21 PM CEST
Last Seen                     Thu 27 May 2010 05:21:21 PM CEST
Local ID                      109cc868-22ca-4e1a-b5e5-3f1d3ad4d00e
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1274973681.47:6): avc:  denied  { read } for  pid=1431 comm="hddtemp" name="gai.conf" dev=dm-0 ino=74585 scontext=system_u:system_r:hddtemp_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1274973681.47:6): arch=40000003 syscall=5 success=no exit=-13 a0=25ceaf a1=0 a2=1b6 a3=25b72b items=0 ppid=1 pid=1431 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="hddtemp" exe="/usr/sbin/hddtemp" subj=system_u:system_r:hddtemp_t:s0 key=(null)



Hash String generated from  catchall,hddtemp,hddtemp_t,etc_t,file,read
audit2allow suggests:

#============= hddtemp_t ==============
allow hddtemp_t etc_t:file read;
Comment 1 Daniel Walsh 2010-05-27 14:54:31 EDT
Is hddtemp supposed to read this file.

Fixed in selinux-policy-3.7.19-22.fc13.noarch
Comment 2 Fedora Update System 2010-05-28 08:27:53 EDT
selinux-policy-3.7.19-22.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-22.fc13
Comment 3 Fedora Update System 2010-05-31 14:19:54 EDT
selinux-policy-3.7.19-22.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-22.fc13
Comment 4 Fedora Update System 2010-06-02 14:11:59 EDT
selinux-policy-3.7.19-23.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-23.fc13
Comment 5 Fedora Update System 2010-06-08 15:26:25 EDT
selinux-policy-3.7.19-23.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.